<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.yd</groupId>
        <artifactId>yd-parent-pom</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <groupId>com.yd</groupId>
    <artifactId>yd-csf</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>
    <description>香港保险服务-管理端</description>

    <modules>
        <module>yd-csf-api</module>
        <module>yd-csf-service</module>
        <module>yd-csf-feign</module>
    </modules>

    <dependencyManagement>
        <dependencies>
            <!-- 实体类模块 -->
            <dependency>
                <groupId>com.yd</groupId>
                <artifactId>yd-csf-service</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.yd</groupId>
                <artifactId>yd-csf-feign</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- 部署到Nexus -->
    <distributionManagement>
        <repository>
            <id>yd-releases</id>
            <url>http://139.224.145.34:8081/repository/yd-project-releases/</url>
        </repository>
        <snapshotRepository>
            <id>yd-snapshots</id>
            <url>http://139.224.145.34:8081/repository/yd-project-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <repositories>
        <!-- 配置Nexus快照仓库，用于拉取快照版本依赖 -->
        <repository>
            <id>yd-snapshots</id>
            <url>http://139.224.145.34:8081/repository/yd-project-snapshots/</url>
            <snapshots>
                <enabled>true</enabled> <!-- 允许拉取快照版本 -->
            </snapshots>
            <releases>
                <enabled>false</enabled> <!-- 不启用正式版仓库（按需调整） -->
            </releases>
        </repository>
    </repositories>

</project>
